clang-tools 10.0.0

Classes | Functions
clang::tidy::portability Namespace Reference

## Classes
class | PortabilityModule
class | SIMDIntrinsicsCheck
| Find SIMD intrinsics calls and suggest std::experimental::simd alternatives. More...

## Functions
static ClangTidyModuleRegistry::Add< PortabilityModule > | X ("portability-module", "Adds portability-related checks.")
static StringRef | TrySuggestPPC (StringRef Name)
static StringRef | TrySuggestX86 (StringRef Name)

## Function Documentation

## ◆ TrySuggestPPC()

static StringRef clang::tidy::portability::TrySuggestPPC | ( | StringRef | Name | ) |
| static

Definition at line 41 of file SIMDIntrinsicsCheck.cpp.

## ◆ TrySuggestX86()

static StringRef clang::tidy::portability::TrySuggestX86 | ( | StringRef | Name | ) |
| static

Definition at line 62 of file SIMDIntrinsicsCheck.cpp.

## ◆ X()

static ClangTidyModuleRegistry::Add<PortabilityModule> clang::tidy::portability::X | ( | "portability-module" | ,
|  | "Adds portability-related checks." |
| ) |  |
| static

Referenced by clang::tidy::portability::PortabilityModule::addCheckFactories().